Bug 449949 - irqbalance documentation for 2 or less cpus
irqbalance documentation for 2 or less cpus
Product: Fedora
Classification: Fedora
Component: irqbalance (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
Depends On: 442897
  Show dependency treegraph
Reported: 2008-06-04 09:29 EDT by Neil Horman
Modified: 2009-12-18 01:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-12-18 01:11:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neil Horman 2008-06-04 09:29:35 EDT
+++ This bug was initially created as a clone of Bug #442897 +++

Description of problem:
When irq runs on a system with two cpus, it quickly exits not reporting any
reason as to why.  Practically speaking, irqbalance doesn't have much work to do
on a system that has only one cache domain and it's job is to spread irq's
across the available domains in the system.  However, this will cause confusion
in the minority of our customers and will trigger some support calls.  To avoid
confusion I propose documentation that describes expected behavior on systems
with only one cache domain and possibly a pointer to the documentation @ the
irqbalance project page.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run irqbalance on a system with <= 2 cpus or 1 cache domain
2. Check daemon status after a few seconds
Actual results:
Program exits

Expected results:
Continues to run or report it has nothing to do.

Additional info:

-- Additional comment from nhorman@redhat.com on 2008-04-17 10:36 EST --
concur.  I'll update the docs for 5.3

-- Additional comment from pm-rhel@redhat.com on 2008-06-02 16:05 EST --
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 1 Bug Zapper 2008-11-25 21:22:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 2 Bug Zapper 2009-11-18 03:13:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-12-18 01:11:46 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.